package meerkat.bulletinboard;


import com.google.protobuf.ByteString;

import meerkat.bulletinboard.sqlserver.SQLiteBulletinBoardServer;
import meerkat.comm.CommunicationException;
import meerkat.protobuf.Crypto.*;
import meerkat.protobuf.Voting.*;

public class SQLiteIntegrationTest {
	public static void main(){
		byte[] b1 = {(byte) 1, (byte)2, (byte) 3, (byte) 4};
		byte[] b2 = {(byte) 11, (byte)12, (byte) 13, (byte) 14};
		
		BulletinBoardMessage msg = BulletinBoardMessage.newBuilder()
									.setMsg(UnsignedBulletinBoardMessage.newBuilder()
											.setTags(0, "signature")
											.setTags(1, "Trustee")
											.setData(ByteString.copyFrom(b1))
											.build())
									.setSig(Signature.newBuilder()
											.setType(SignatureType.DSA)
											.setData(ByteString.copyFrom(b2))
											.build())
									.build();
		
		SQLiteBulletinBoardServer bbs = new SQLiteBulletinBoardServer();
		
		try{
			bbs.init();
			
			bbs.postMessage(msg);
			bbs.testPrint();
			
			bbs.close();
		} catch(CommunicationException e){
			System.out.println(e.getMessage());
		}
	}
}
